package cn.axzo.workflow.core.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 流程模型响应码
 *
 * @author wangli
 * @since 2023/12/14 16:25
 */
@Getter
@AllArgsConstructor
public enum OtherRespCode implements IModuleRespCode {
    MES_PUSH_OBJECT_BUILD_ERROR("001", "构建消息推送对象异常"),
    REPEAT_SUBMIT_TIME_ERROR_TIPS("002", "重复提交间隔时间不能小于{}秒"),
    REPEAT_SUBMIT_ERROR_TIPS("003", "{}"),
    CLIENT_VERSION_SUPPORT("004", "客户端 JAR 包版本不支持,请升级到 {} 版本, 当前版本 {}"),
    MICRO_SERVER_NEED_REBUILD("005", "微服务 {} 需要重新编译发布"),
    ;

    private String code;
    private String message;

    @Override
    public String getModuleCode() {
        return "99";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
